Subject: pine vs imapd home/base dir

From: Robert Lau <[email-masked]>
Date: Sat, 6 May 2000 22:44:22 -0700 (PDT)

Greetings.  Apologies if this has already been covered, I've looked
through list archives since 1999/10 and didn't find anything.

imapd uses ~ as the home directory while pine uses ~/mail.

Unfortunately, we have many, many people who use pine in non-imap mode
as well as a GUI IMAP client.  In 4.10, I modified env_unix.c so homedir
was set to ~/mail.  It was overrideable with an option i added to .imaprc.
This made everybody happy since they would see the same folders with
whatever client they used in whatever mode.

But something changed in 4.20/4.21.  My hack now causes pine to look in
~/mail/mail which is bad.  This makes sense since I really shouldn't have
mucked with homedir.  Methinks the 'problem' is that both pine and imapd
call env_init().  My current hack was to add an arg to env_init() so it
knows whether it's being called by pine or imapd.  I know this is bad.
So how do I correctly tell imapd to use ~/mail without creating an .imaprc
in everybody's home dir (which I couldn't even if I wanted to because
there are many hosts we don't have access to) or tell everybody to set the
base dir to mail in their GUI client (which would not be right in the long
run when/if we move to a blackbox mailstore).

Merci beaucoup,

Robert Lau                  Systems Programmer | Security | Postmaster
213-740-2866                Information Services Division - Core Services
[email-masked]               University of Southern California
http://www.usc.edu/~rslau   1020 W Jefferson, LA, CA  USA, 90089-0251

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------